## NAME

CURLOPT_PROXYAUTH - set HTTP proxy authentication methods to try

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXYAUTH, long bitmask);

## DESCRIPTION

Pass a long as parameter, which is set to a bitmask, to tell libcurl which HTTP authentication method(s) you want it to use for your proxy authentication. If more than one bit is set, libcurl will first query the site to see what authentication methods it supports and then pick the best one you allow it to use. For some methods, this will induce an extra network round-trip. Set the actual name and password with the CURLOPT_PROXYUSERPWD option.

The bitmask can be constructed by or'ing together the bits fully listed and described in the CURLOPT_HTTPAUTH man page.

## DEFAULT

CURLAUTH_BASIC

## PROTOCOLS

HTTP

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.10.7

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_NOT_BUILT_IN if the bitmask specified no supported authentication methods.

## SEE ALSO

CURLOPT_PROXY, CURLOPT_PROXYTYPE, CURLOPT_PROXYUSERPWD, CURLOPT_PROXYPORT

This HTML page was made with roffit.